#!/bin/sh -
# $Id: kwcj19.sh,v 1.6 2005/01/08 13:05:39 jro Exp $
#
# arranging oreilly pdf hacks #19
# the pdf document and pdftotext must produce ff(0x0c) at the end of
# the file.

set -eu

pdftotext -layout -raw -enc UTF-8 "$1" - \
| tr -d ' \t\n' \
| chasen -r ./chasenrc -j -F "%M %H %h\n" -i w \
| awk '
/ ([13-9]|1[0-278]|2[56]|3[7-9]|40)$/ {
	sub(/ .*$/, "");
	sub(/^ *$/, "");
	if ($0 != "") print;
}
'
