#!/bin/sh -
# $Id: esj57.sh,v 1.3 2005/01/08 13:05:39 jro Exp $
#
# oreilly pdf hacks #57
# another enscript for japanese language.
# quick and dirty postprocess for enscript-1.6.4.
#

# you can customize here
font=Ryumin-Light-EUC-H

enscript $* -p - --non-printable-format=octal \
| awk -v font=$font '
dsc == 0 && /^%%IncludeResource:/ {
	print "%%IncludeResource: font", font;
	dsc++;
}
dsc == 1 && /^\/F-gs-font [0-9 ]* SF$/ {
	scale = 10;
	n = split($0, a);
	if (n == 4) scale = a[2];
	print "/QDFont /" font, "findfont [6 5 div 0 0 1 0 0] makefont";
	print scale, "scalefont def";
	print "/sj {currentfont exch QDFont setfont show setfont} bind def";
	dsc++;
}
dsc == 2 && /\\[0-9]/ {
	gsub(/(\\[0-9][0-9][0-9])+/, ") s (&) sj (");
	gsub(/\(\) s */, "");
}
dsc == 2 && /^%%DocumentNeededResources: *font/ {
	$0 = $0 " " font;
}
{print}
'
