#!/usr/bin/perl

use PDFJ 'EUC';

my $pdf  = PDFJ::Doc->new(1.3, 597, 845);
my $font = $pdf->new_font('Ryumin-Light', 'EUC-H', 'Helvetica');
my $tstyle = TStyle(font => $font, fontsize => 20);
my $pstylel = PStyle(size => 450, linefeed => 10, align => 'b', preskip => 20);
my $pstyler = $pstylel->clone(align => 'e');
my $pstylec = $pstylel->clone(align => 'm');
my $block = Block('V',
		  [ Paragraph(Text("Hello World! ·", $tstyle), $pstylel),
		    Paragraph(Text("Hello World! ·", $tstyle), $pstyler),
		    Paragraph(Text("Hello World! ·", $tstyle), $pstylec) ],
		  BStyle(preskip => 50));
$block->show($pdf->new_page, 50, 800);
$pdf->print("HelloWorld.pdf");
